Bug 1297515 - Celestia freezes and kills X
Celestia freezes and kills X
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: celestia (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matías Kreder
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 13:18 EST by Przemek Klosowski
Modified: 2016-12-20 12:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:47:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of gdb session (2.14 KB, text/plain)
2016-01-11 13:22 EST, Przemek Klosowski
no flags Details

  None (edit)
Description Przemek Klosowski 2016-01-11 13:18:54 EST
Description of problem:
On a dual screen running off i965 Xeon E3-1200 graphics, celestia starts up, brings up the initial screen and then freezes, and grabs the focus. I can Ctrl-Alt-F3 to the text screen, and sometimes I see the celestia process but other times it is gone. I think that sometimes while I'm in text mode the graphical session (gnome) restarts, so I can go back to it.

Version-Release number of selected component (if applicable):
celestia-1.6.1-21.fc23.x86_64


How reproducible: every time


Steps to Reproduce:
1. run celestia.

Actual results: non-working celestia window, overall session locked due to input grab


Expected results: working application
Comment 1 Przemek Klosowski 2016-01-11 13:21:33 EST
I ran celestia in gdb from the shell prompt, but didn't see any messages.
I ran GDB session logging to a file (attached), but even then no messages were forthcoming---I think the X session dies and takes celestia with it.
Comment 2 Przemek Klosowski 2016-01-11 13:22 EST
Created attachment 1113646 [details]
log of gdb session
Comment 3 Fedora End Of Life 2016-11-24 09:51:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:47:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.